function pic2htmltablemanage(filename,filepath,mode)

%   pic2htmltablemanage

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

file = [filepath,filename];
[targetfilename,targetfilepath]=uiputfile('*.htm','Bitte erstellen Sie eine Zieldatei:');
targetfile=[targetfilepath,targetfilename];

if mode==0
   modefehler
   return

% directory mode   
elseif mode==11
	cd (filepath);
	filelist=dir(filepath);
    filelistsize=size(filelist);
      
	% Schleife für Files
   for filezaehler=3:filelistsize(1)
      pic2htmltable(filelist(filezaehler).name,[],targetfilename,targetfilepath);
      if mod(filezaehler,2)==0
          fid = fopen(targetfile,'at');
          fprintf(fid,'</tr><tr>');
          fclose(fid);
      end   
   end
   ok
   
% batchfile mode   
elseif mode==12
   filemat=batchfiletomat(filename,filepath);
   filematgroessevec=size(filemat);
   filematgroesse=filematgroessevec(2);
   for l=1:filematgroesse
       pic2htmltable(filemat{l},[],targetfilename,targetfilepath);
 
   end
   ok
      
% single file mode   
elseif mode==2
   pic2htmltable(file,[],targetfilename,targetfilepath);
   ok
  
end


return